Bug 1462443 - Review Request: libaec - Adaptive Entropy Coding library
Review Request: libaec - Adaptive Entropy Coding library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Forbid...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-17 14:15 EDT by Christoph Junghans
Modified: 2017-08-31 11:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-31 11:19:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)
hdf5: enable szip support through libaec (1.37 KB, patch)
2017-06-27 13:32 EDT, Christoph Junghans
no flags Details | Diff

  None (edit)
Description Christoph Junghans 2017-06-17 14:15:04 EDT
Spec URL: http://junghans.github.io/fedora-review/libaec/libaec.spec
SRPM URL: http://junghans.github.io/fedora-review/libaec/libaec-1.0.0-1.fc27.src.rpm
Review.txt: http://junghans.github.io/fedora-review/libaec/review.txt
Build log: https://travis-ci.org/junghans/fedora-review/builds/244036662
Raw Build: log https://s3.amazonaws.com/archive.travis-ci.org/jobs/244036663/log.txt

Description: Libaec provides fast loss-less compression of 1 up to 32 bit wide
signed or unsigned integers (samples). The library achieves best
results for low entropy data as often encountered in space imaging
instrument data or numerical model output from weather or climate
simulations. While floating point representations are not directly
supported, they can also be efficiently coded by grouping exponents
and mantissa.

Libaec implements Golomb Rice coding as defined in the Space Data
System Standard documents 121.0-B-2 and 120.0-G-2.

Libaec includes a free drop-in replacement for the SZIP
library (http://www.hdfgroup.org/doc_resource/SZIP).

Fedora Account System Username: junghans

In short, this package would finally allow us to re-enable szip support in hdf5 and friends.
Comment 1 Christoph Junghans 2017-06-17 19:49:32 EDT
TaskID: https://koji.fedoraproject.org/koji/taskinfo?taskID=20057748
Comment 2 Igor Gnatenko 2017-06-18 04:11:27 EDT
Hmm, why am I on this review request?
Comment 3 Christoph Junghans 2017-06-18 12:25:40 EDT
(In reply to Igor Gnatenko from comment #2)
> Hmm, why am I on this review request?

Mainly because you are the hdf5 maintainer and I wanted to make you aware as SZIP is an hdf thing.
Comment 4 Zbigniew Jędrzejewski-Szmek 2017-06-21 16:14:24 EDT
The description mentions a static library, but there's no static library in -devel (nor should there be). Please fix the description.

Looks good, but I need at the licensing more carefully, hence no final review yet.
Comment 5 Christoph Junghans 2017-06-21 17:40:13 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> The description mentions a static library, but there's no static library in
> -devel (nor should there be). Please fix the description.
Fixed!

Spec URL: http://junghans.github.io/fedora-review/libaec/libaec.spec
SRPM URL: http://junghans.github.io/fedora-review/libaec/libaec-1.0.0-2.fc25.src.rpm
Review.txt: http://junghans.github.io/fedora-review/libaec/review.txt
Build log: https://travis-ci.org/junghans/fedora-review/builds/245548276
Raw Build log: https://s3.amazonaws.com/archive.travis-ci.org/jobs/245548277/log.txt

> 
> Looks good, but I need at the licensing more carefully, hence no final
> review yet.
The interesting part about algorithm patent is here: <https://gitlab.dkrz.de/k202009/libaec/blob/master/doc/patent.txt#L44>
"any use of the subject matter is at your own risk and NASA cannot warrant that its use will satisfy your particular needs or that your use will not infringe on another's intellectual property rights."
Comment 6 Christoph Junghans 2017-06-21 21:28:17 EDT
(In reply to Christoph Junghans from comment #5)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> > The description mentions a static library, but there's no static library in
> > -devel (nor should there be). Please fix the description.
> Fixed!
> 
> Spec URL: http://junghans.github.io/fedora-review/libaec/libaec.spec
> SRPM URL:
> http://junghans.github.io/fedora-review/libaec/libaec-1.0.0-2.fc25.src.rpm
> Review.txt: http://junghans.github.io/fedora-review/libaec/review.txt
> Build log: https://travis-ci.org/junghans/fedora-review/builds/245548276
> Raw Build log:
> https://s3.amazonaws.com/archive.travis-ci.org/jobs/245548277/log.txt
The build log also has an output of licensecheck.txt:
https://travis-ci.org/junghans/fedora-review/builds/245548276#L2720

> 
> > 
> > Looks good, but I need at the licensing more carefully, hence no final
> > review yet.
> The interesting part about algorithm patent is here:
> <https://gitlab.dkrz.de/k202009/libaec/blob/master/doc/patent.txt#L44>
> "any use of the subject matter is at your own risk and NASA cannot warrant
> that its use will satisfy your particular needs or that your use will not
> infringe on another's intellectual property rights."
Comment 7 Zbigniew Jędrzejewski-Szmek 2017-06-22 14:57:41 EDT
+ license is acceptable for Fedora (BSD)
+ license is specified correctly
  (there are some GPL and MIT/X11 files, but those are build scripts)
+ package name is OK
+ builds and install fine
+ R/P/BR look correct
+ scriptlets are sane
+ %check is present and passes

So the only non-trivial thing is the patent situation. https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Patented_Software says that a written license grant is necessary. https://gitlab.dkrz.de/k202009/libaec/blob/master/doc/patent.txt#L44 is such a license grant, so it seems OK to include this in Fedora.

> NASA cannot warrant [...] that your use will not infringe on another's intellectual property rights.

Right. But that's always true, for any software, and seems to be a standard disclaimer that doesn't mean anything except that NASA allows use of the algorithm, without making any promises on behalf of other parties.

Package is APPROVED.
Comment 8 Gwyn Ciesla 2017-06-23 08:17:37 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/libaec
Comment 9 Fedora Update System 2017-06-23 11:53:59 EDT
libaec-1.0.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-56ec5fb7e4
Comment 10 Fedora Update System 2017-06-24 21:19:28 EDT
libaec-1.0.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-56ec5fb7e4
Comment 11 Christoph Junghans 2017-06-27 13:29:34 EDT
I updated the wiki on szip slightly:
https://fedoraproject.org/w/index.php?title=Forbidden_items&diff=495449&oldid=492921
Comment 12 Christoph Junghans 2017-06-27 13:32 EDT
Created attachment 1292418 [details]
hdf5: enable szip support through libaec

With this patch we can now enable szip support in hdf5: https://koji.fedoraproject.org/koji/taskinfo?taskID=20122306

Patch was send to hdf5-owner@fedoraproject.org.
Comment 13 Fedora Update System 2017-07-07 18:57:42 EDT
libaec-1.0.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Christoph Junghans 2017-08-06 18:24:09 EDT
(In reply to Christoph Junghans from comment #12)
> Created attachment 1292418 [details]
> hdf5: enable szip support through libaec
> 
> With this patch we can now enable szip support in hdf5:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=20122306
> 
> Patch was send to hdf5-owner@fedoraproject.org.
https://src.fedoraproject.org/rpms/hdf5/pull-request/1
Comment 15 Christoph Junghans 2017-08-08 13:36:14 EDT
(In reply to Christoph Junghans from comment #14)
> > Patch was send to hdf5-owner@fedoraproject.org.
> https://src.fedoraproject.org/rpms/hdf5/pull-request/1
And merged.
Comment 16 Fedora Update System 2017-08-14 22:08:15 EDT
libaec-1.0.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fb600d5f60
Comment 17 Fedora Update System 2017-08-15 17:50:34 EDT
libaec-1.0.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fb600d5f60
Comment 18 Fedora Update System 2017-08-31 11:19:08 EDT
libaec-1.0.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.